Subject: bug#68660: 29.2; ELPA: Wrong type argument w. multiple maintainers in package-menu-mode

From: "J.P." <[email-masked]>
Date: Tue, 23 Jan 2024 06:57:39 -0800

Hi Stefan,

Stefan Monnier <[email-masked]> writes:

>> 6. Hit the _erc_ button:
>>
>>    => describe-package-1: Wrong type argument: char-or-string-p,
>>       ("Amin Bandali" . "[email-masked]")
>
> I believe this is already fixed in `master`.
> Luckily, this bug does not affect `package-install`.

Hm, I'm starting to suspect this perceived "breakage" may in fact be
intentional (i.e., a "schema evolution"), at least on the /devel
endpoint, given it seems to be reflected in the disparity between

  ;; /devel/archive-contents
  (:maintainer ("Bob Weiner" . "[email-masked]")
               ("Mats Lidell" . "[email-masked]"))

and

  ;; /packages/archive-contents
  (:maintainer "Bob Weiner <[email-masked]>, Mats Lidell"
               . "[email-masked]")

And likewise for ./foo-pkg.el in

  ;; /devel/foo-42.0.tar
  (define-package ... :maintainer
    '(("Bob Weiner" . "[email-masked]") ("Mats Lidell" . "[email-masked]")))

vs.

  ;; /packages/foo-42.0.tar
  (define-package ... :maintainer
    '("Bob Weiner <[email-masked]>, Mats Lidell" . "[email-masked]"))

Assuming this isn't a red herring, will this perceived dichotomy hold
going forward? That is, can we count on releases at the /packages
endpoint being of the improper-list variety and not the alist variety
for the foreseeable future? If so, then I guess this bug is much ado
about nothing and can be closed, since ERC 5.6+ will be installable on
27+ in the manner recommended in our docs.

Thanks,
J.P.